// ProObjDynabaseMark.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "dynamicdraw.h"
#include "ProObjDynabaseMark.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCProObjDynabaseMark _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCProObjDynabaseMark, CFCProObjProperty)

CFCProObjDynabaseMark::CFCProObjDynabaseMark() : CFCProObjProperty(CFCProObjDynabaseMark::IDD)
{
	//{{AFX_DATA_INIT(CFCProObjDynabaseMark)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDiBiDjDiDgPiCmMiPiJiKpKiJlLiPiIjHjNiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;
}

CFCProObjDynabaseMark::~CFCProObjDynabaseMark()
{
}

void CFCProObjDynabaseMark::DoDataExchange(CDataExchange* pDX)
{
	CFCProObjProperty::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCProObjDynabaseMark)
	DDX_Control(pDX, IDC_FGM_STC_BORDER_1, m_stcBorder1);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFCProObjDynabaseMark, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCProObjDynabaseMark)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_WM_CTLCOLOR()
	ON_CBN_SELCHANGE(IDC_FGM_CMB_IS_MARK_UNLINK_IN_TERM_B, OnSelchangeFgmCmbIsMarkUnlinkInTermB)
	ON_CBN_SELCHANGE(IDC_FGM_CMB_IS_MARK_UNLINK_IN_TERM_F, OnSelchangeFgmCmbIsMarkUnlinkInTermF)
	ON_CBN_SELCHANGE(IDC_FGM_CMB_IS_MARK_UNLINK_OUT_TERM_B, OnSelchangeFgmCmbIsMarkUnlinkOutTermB)
	ON_CBN_SELCHANGE(IDC_FGM_CMB_IS_MARK_UNLINK_OUT_TERM_F, OnSelchangeFgmCmbIsMarkUnlinkOutTermF)
	ON_CBN_SELCHANGE(IDC_FGM_CMB_IS_MARK_UNLINK_IN_TERM_O, OnSelchangeFgmCmbIsMarkUnlinkInTermO)
	ON_CBN_SELCHANGE(IDC_FGM_CMB_IS_MARK_UNLINK_OUT_TERM_O, OnSelchangeFgmCmbIsMarkUnlinkOutTermO)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCProObjDynabaseMark _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_
